Package org.springframework.web.client

# Class UnknownHttpStatusCodeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.springframework.core.NestedRuntimeException
org.springframework.web.client.RestClientException
org.springframework.web.client.RestClientResponseException
org.springframework.web.client.UnknownHttpStatusCodeException

All Implemented Interfaces:
  `Serializable`

public class UnknownHttpStatusCodeException extends RestClientResponseException
Exception thrown when an unknown (or custom) HTTP status code is received.

Since:
  3.2
Author:
  Rossen Stoyanchev
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnknownHttpStatusCodeException(int rawStatusCode, String statusText, HttpHeaders responseHeaders, byte[] responseBody, Charset responseCharset)`
Construct a new instance of `HttpStatusCodeException` based on a status code, status text, and response body content.
`UnknownHttpStatusCodeException(String message, int rawStatusCode, String statusText, HttpHeaders responseHeaders, byte[] responseBody, Charset responseCharset)`
Construct a new instance of `HttpStatusCodeException` based on a status code, status text, and response body content.

## Method Summary

### Methods inherited from class org.springframework.web.client.RestClientResponseException

`getRawStatusCode, getResponseBodyAs, getResponseBodyAs, getResponseBodyAsByteArray, getResponseBodyAsString, getResponseBodyAsString, getResponseHeaders, getStatusCode, getStatusText, setBodyConvertFunction`

### Methods inherited from class org.springframework.core.NestedRuntimeException

`contains, getMostSpecificCause, getRootCause`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnknownHttpStatusCodeException

public UnknownHttpStatusCodeException(int rawStatusCode, String statusText, @Nullable HttpHeaders responseHeaders, @Nullable byte[] responseBody, @Nullable Charset responseCharset)
Construct a new instance of `HttpStatusCodeException` based on a status code, status text, and response body content.

Parameters:
  `rawStatusCode` - the raw status code value
  `statusText` - the status text
  `responseHeaders` - the response headers (may be `null`)
  `responseBody` - the response body content (may be `null`)
  `responseCharset` - the response body charset (may be `null`)

### UnknownHttpStatusCodeException

public UnknownHttpStatusCodeException(String message, int rawStatusCode, String statusText, @Nullable HttpHeaders responseHeaders, @Nullable byte[] responseBody, @Nullable Charset responseCharset)
Construct a new instance of `HttpStatusCodeException` based on a status code, status text, and response body content.

Parameters:
  `rawStatusCode` - the raw status code value
  `statusText` - the status text
  `responseHeaders` - the response headers (may be `null`)
  `responseBody` - the response body content (may be `null`)
  `responseCharset` - the response body charset (may be `null`)
Since:
  5.2.2